#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Oct  3 00:59:15 2025

@author: dromisch
"""

from flask import Flask
from route1 import route1  # Import the Blueprint
from flask_sqlalchemy import SQLAlchemy

app = Flask(__name__)

# Register the Blueprint
app.register_blueprint(route1)

# SQLAlchemy Configuration
app.config['SQLALCHEMY_DATABASE_URI'] = 'mssql+pyodbc://hangfire_api:hangfire_123@SCHHISSQL/HISApps?driver=ODBC+Driver+17+for+SQL+Server'
app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False

# Initialize SQLAlchemy
db = SQLAlchemy(app)

if __name__ == '__main__':
    app.run(debug=True)
